Change hopper image

POST https://api.cryptohopper.com/v1/hopper/{id}/changeimage

Replaces the hopper image. The image is cropped to 600 by 430 pixels, saved as JPEG and its new URL is returned.

Send image as a base64 encoded image file.

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/changeimage" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"image":"/9j/4AAQSkZJRgABAQAAAQABAAD..."}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Request body

JSON, model ChangeImagePOST

FieldTypeRequiredDescription
imagestringRequired

Response

Example response (illustrative values)

{
    "data": "https://cdn.cryptohopper.com/images/hoppers/hoppers/123456_2026-09-25-10-15-00.jpg"
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.